{
  // 全局缩进设置
  "editor.tabSize": 4,
  "editor.detectIndentation": false,
  "editor.insertSpaces": true,
  // 配置语言的文件关联
  "files.associations": {
    "pages.json": "jsonc", // pages.json 可以写注释
    "manifest.json": "jsonc" // manifest.json 可以写注释
  },

  "stylelint.enable": false, // 禁用 stylelint
  "css.validate": false, // 禁用 CSS 内置验证
  "scss.validate": false, // 禁用 SCSS 内置验证
  "less.validate": false, // 禁用 LESS 内置验证

  "typescript.tsdk": "node_modules\\typescript\\lib",
  "explorer.fileNesting.enabled": true,
  "explorer.fileNesting.expand": false,
  "explorer.fileNesting.patterns": {
    "README.md": "index.html,favicon.ico,robots.txt,CHANGELOG.md",
    "docker.md": "Dockerfile,docker*.md,nginx*,.dockerignore",
    "pages.config.ts": "manifest.config.ts,openapi-ts-request.config.ts",
    "package.json": "tsconfig.json,pnpm-lock.yaml,pnpm-workspace.yaml,LICENSE,.gitattributes,.gitignore,.gitpod.yml,CNAME,.npmrc,.browserslistrc",
    "eslint.config.mjs": ".commitlintrc.*,.prettier*,.editorconfig,.commitlint.cjs,.eslint*"
  },

  // 编辑器格式化设置
  "prettier.enable": false,
  "editor.formatOnSave": true,
  "editor.formatOnType": true,

  // Auto fix
  "editor.codeActionsOnSave": {
    "source.fixAll.eslint": "explicit",
    "source.organizeImports": "never"
  },

  // Silent the stylistic rules in you IDE, but still auto fix them
  "eslint.rules.customizations": [
    { "rule": "style/*", "severity": "off", "fixable": true },
    { "rule": "format/*", "severity": "off", "fixable": true },
    { "rule": "*-indent", "severity": "off", "fixable": true },
    { "rule": "*-spacing", "severity": "off", "fixable": true },
    { "rule": "*-spaces", "severity": "off", "fixable": true },
    { "rule": "*-order", "severity": "off", "fixable": true },
    { "rule": "*-dangle", "severity": "off", "fixable": true },
    { "rule": "*-newline", "severity": "off", "fixable": true },
    { "rule": "*quotes", "severity": "off", "fixable": true },
    { "rule": "*semi", "severity": "off", "fixable": true }
  ],

  // 语言特定的缩进设置
  "[vue]": {
    "editor.tabSize": 4,
    "editor.insertSpaces": true,
    "editor.formatOnSave": true
  },
  "[html]": {
    "editor.tabSize": 4,
    "editor.insertSpaces": true,
    "editor.formatOnSave": true
  },
  "[scss]": {
    "editor.tabSize": 4,
    "editor.insertSpaces": true,
    "editor.formatOnSave": true
  },
  "[css]": {
    "editor.tabSize": 4,
    "editor.insertSpaces": true,
    "editor.formatOnSave": true
  },
  "[javascript]": {
    "editor.tabSize": 4,
    "editor.insertSpaces": true,
    "editor.formatOnSave": true
  },
  "[typescript]": {
    "editor.tabSize": 4,
    "editor.insertSpaces": true,
    "editor.formatOnSave": true
  },

  // Enable eslint for all supported languages
  "eslint.validate": [
    "javascript",
    "javascriptreact",
    "typescript",
    "typescriptreact",
    "vue",
    "html",
    "markdown",
    "json",
    "jsonc",
    "yaml",
    "toml",
    "xml",
    "gql",
    "graphql",
    "astro",
    "svelte",
    "css",
    "less",
    "scss",
    "pcss",
    "postcss"
  ],
  "cSpell.words": [
    "alova",
    "Aplipay",
    "attributify",
    "chooseavatar",
    "climblee",
    "commitlint",
    "dcloudio",
    "iconfont",
    "oxlint",
    "qrcode",
    "refresherrefresh",
    "scrolltolower",
    "tabbar",
    "Toutiao",
    "uniapp",
    "unibest",
    "unocss",
    "uview",
    "uvui",
    "Wechat",
    "WechatMiniprogram",
    "Weixin"
  ],
  "cSpell.ignoreWords": [
    "autoscan",
    "easycom",
    "iconify",
    "oklch",
    "wxss"
  ]
}
